Subject: RE: CVS_RSH
From: Peter Kennard <[email-masked]>
To: "Harig, Mark A." <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Oct 2001 15:00:40 -0700

I thank you all for your help.  I still don't know what is happening.  But 
it doesn't look like a cygwin problem.

On my server (a new debian install with a plain vanilla cvs install from 
it's distribution) OpenSSHD

I can do a cvs login with a :pserver: cvs root (to the local subnet interface)
and do all CVS operation this way.

I can ssh login to any interface on the server from my wincvs box

If I
export CVS_RSH=ssh
export CVSROOT=:ext:me@address:/repository
export WINCVS=binmode

I do "cvs -t checkout module"
I then enter the password to ssh,
   ->cvs entering main loop (from trace)
then I get a cvs server "unexpected end of file"

None of the system logs are altered by this other tha auth.log which 
idicates a succesful ssh login.

At 03:45 PM 10/10/2001 -0400, Harig, Mark A. wrote:
>You can help yourself with your debugging if you use the '-t' (trace)
>CVS command option.  For example,
>
>    $ cvs -t status /my/cvs/file
>
>Also, don't forget to export the CVSROOT and CVS_RSH variables:
>
>    $ CVSROOT=:ext:<user ID>@<cvs server>:/path/to/repository
>    $ export CVSROOT
>    $ CVS_RSH=/usr/bin/ssh
>    $ export CVS_RSH
>
>Good luck!
>
>-----Original Message-----
>From: Peter Kennard [mailto:[email-masked]]
>Sent: Wednesday, October 10, 2001 10:24 AM
>To: [email-masked]; [email-masked]
>Subject: RE: CVS_RSH
>
>
>I got it I think - seems to be a permissions problem on the server.
>If I log in as root it works to checkout the module.  I get an "end of
>file" error from cvs as my lowly user. I still have to untangle it :)
>
>Thanks though

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/